diff --git a/src/providers/ldap/sdap_id_op.c b/src/providers/ldap/sdap_id_op.c
index be25b5d..925d8c6 100644
--- a/src/providers/ldap/sdap_id_op.c
+++ b/src/providers/ldap/sdap_id_op.c
@@ -109,7 +109,7 @@ int sdap_id_conn_cache_create(TALLOC_CTX *memctx,
     int ret;
     struct sdap_id_conn_cache *conn_cache = talloc_zero(memctx, struct sdap_id_conn_cache);
     if (!conn_cache) {
-        DEBUG(1, ("talloc_zero(struct sdap_id_conn_cache) failed.\n"));
+        DEBUG(1, "talloc_zero(struct sdap_id_conn_cache) failed.\n");
         ret = ENOMEM;
         goto fail;
     }
@@ -120,7 +120,7 @@ int sdap_id_conn_cache_create(TALLOC_CTX *memctx,
                             sdap_id_conn_cache_be_offline_cb, conn_cache,
                             NULL);
     if (ret != EOK) {
-        DEBUG(1, ("be_add_offline_cb failed.\n"));
+        DEBUG(1, "be_add_offline_cb failed.\n");
         goto fail;
     }
 
@@ -128,7 +128,7 @@ int sdap_id_conn_cache_create(TALLOC_CTX *memctx,
                               sdap_id_conn_cache_fo_reconnect_cb, conn_cache,
                               NULL);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("be_add_reconnect_cb failed.\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "be_add_reconnect_cb failed.\n");
         goto fail;
     }
 
@@ -179,7 +179,7 @@ static void sdap_id_release_conn_data(struct sdap_id_conn_data *conn_data)
         return;
     }
 
-    DEBUG(9, ("releasing unused connection\n"));
+    DEBUG(9, "releasing unused connection\n");
 
     DLIST_REMOVE(conn_cache->connections, conn_data);
     talloc_zfree(conn_data);
@@ -277,7 +277,7 @@ static void sdap_id_conn_data_expire_handler(struct tevent_context *ev,
                                                           struct sdap_id_conn_data);
     struct sdap_id_conn_cache *conn_cache = conn_data->conn_cache;
 
-    DEBUG(3, ("connection is about to expire, releasing it\n"));
+    DEBUG(3, "connection is about to expire, releasing it\n");
 
     if (conn_cache->cached_connection == conn_data) {
         conn_cache->cached_connection = NULL;
@@ -304,7 +304,7 @@ struct sdap_id_op *sdap_id_op_create(TALLOC_CTX *memctx, struct sdap_id_conn_cac
 static void sdap_id_op_hook_conn_data(struct sdap_id_op *op, struct sdap_id_conn_data *conn_data)
 {
     if (!op) {
-        DEBUG(0, ("NULL op passed!!!\n"));
+        DEBUG(0, "NULL op passed!!!\n");
         return;
     }
 
@@ -334,7 +334,7 @@ static int sdap_id_op_destroy(void *pvt)
     struct sdap_id_op *op = talloc_get_type(pvt, struct sdap_id_op);
 
     if (op->conn_data) {
-        DEBUG(9, ("releasing operation connection\n"));
+        DEBUG(9, "releasing operation connection\n");
         sdap_id_op_hook_conn_data(op, NULL);
     }
 
@@ -392,14 +392,14 @@ struct tevent_req *sdap_id_op_connect_send(struct sdap_id_op *op,
     int ret = EOK;
 
     if (!memctx) {
-        DEBUG(1, ("Bug: no memory context passed.\n"));
+        DEBUG(1, "Bug: no memory context passed.\n");
         ret = EINVAL;
         goto done;
     }
 
     if (op->connect_req) {
         /* Connection already in progress, invalid operation */
-        DEBUG(1, ("Bug: connection request is already running or completed and leaked.\n"));
+        DEBUG(1, "Bug: connection request is already running or completed and leaked.\n");
         ret = EINVAL;
         goto done;
     }
@@ -420,7 +420,7 @@ struct tevent_req *sdap_id_op_connect_send(struct sdap_id_op *op,
     if (op->conn_data) {
         /* If the operation is already connected,
          * reuse existing connection regardless of its status */
-        DEBUG(9, ("reusing operation connection\n"));
+        DEBUG(9, "reusing operation connection\n");
         ret = EOK;
         goto done;
     }
@@ -462,23 +462,23 @@ static int sdap_id_op_connect_step(struct tevent_req *req)
     conn_data = conn_cache->cached_connection;
     if (conn_data) {
         if (conn_data->connect_req) {
-            DEBUG(9, ("waiting for connection to complete\n"));
+            DEBUG(9, "waiting for connection to complete\n");
             sdap_id_op_hook_conn_data(op, conn_data);
             goto done;
         }
 
         if (sdap_can_reuse_connection(conn_data)) {
-            DEBUG(9, ("reusing cached connection\n"));
+            DEBUG(9, "reusing cached connection\n");
             sdap_id_op_hook_conn_data(op, conn_data);
             goto done;
         }
 
-        DEBUG(9, ("releasing expired cached connection\n"));
+        DEBUG(9, "releasing expired cached connection\n");
         conn_cache->cached_connection = NULL;
         sdap_id_release_conn_data(conn_data);
     }
 
-    DEBUG(9, ("beginning to connect\n"));
+    DEBUG(9, "beginning to connect\n");
 
     conn_data = talloc_zero(conn_cache, struct sdap_id_conn_data);
     if (!conn_data) {
@@ -544,18 +544,18 @@ static void sdap_id_op_connect_done(struct tevent_req *subreq)
     conn_data->notify_lock++;
 
     if (ret == ENOTSUP) {
-        DEBUG(0, ("Authentication mechanism not Supported by server\n"));
+        DEBUG(0, "Authentication mechanism not Supported by server\n");
     }
 
     if (ret == EOK && (!conn_data->sh || !conn_data->sh->connected)) {
-        DEBUG(0, ("sdap_cli_connect_recv returned bogus connection\n"));
+        DEBUG(0, "sdap_cli_connect_recv returned bogus connection\n");
         ret = EFAULT;
     }
 
     if (ret != EOK && !can_retry) {
         /* be is going offline as there is no more servers to try */
-        DEBUG(1, ("Failed to connect, going offline (%d [%s])\n",
-                  ret, strerror(ret)));
+        DEBUG(1, "Failed to connect, going offline (%d [%s])\n",
+                  ret, strerror(ret));
         be_mark_offline(conn_cache->id_conn->id_ctx->be);
         is_offline = true;
     }
@@ -563,12 +563,12 @@ static void sdap_id_op_connect_done(struct tevent_req *subreq)
     if (ret == EOK) {
         current_srv_opts = conn_cache->id_conn->id_ctx->srv_opts;
         if (current_srv_opts) {
-            DEBUG(8, ("Old USN: %lu, New USN: %lu\n", current_srv_opts->last_usn, srv_opts->last_usn));
+            DEBUG(8, "Old USN: %lu, New USN: %lu\n", current_srv_opts->last_usn, srv_opts->last_usn);
 
             if (strcmp(srv_opts->server_id, current_srv_opts->server_id) == 0 &&
                 srv_opts->supports_usn &&
                 current_srv_opts->last_usn > srv_opts->last_usn) {
-                DEBUG(5, ("Server was probably re-initialized\n"));
+                DEBUG(5, "Server was probably re-initialized\n");
 
                 current_srv_opts->max_user_value = 0;
                 current_srv_opts->max_group_value = 0;
@@ -609,7 +609,7 @@ static void sdap_id_op_connect_done(struct tevent_req *subreq)
         struct sdap_id_op *op;
 
         if (ret == EOK && !conn_data->sh->connected) {
-            DEBUG(9, ("connection was broken after %d notifies\n", notify_count));
+            DEBUG(9, "connection was broken after %d notifies\n", notify_count);
         }
 
         DLIST_FOR_EACH(op, conn_data->ops) {
@@ -639,7 +639,7 @@ static void sdap_id_op_connect_done(struct tevent_req *subreq)
                 if (be_is_offline(conn_cache->id_conn->id_ctx->be)) {
                     /* be is offline, no retry possible */
                     if (ret == EOK) {
-                        DEBUG(9, ("skipping automatic retry on op #%d as be is offline\n", notify_count));
+                        DEBUG(9, "skipping automatic retry on op #%d as be is offline\n", notify_count);
                         ret = EIO;
                     }
 
@@ -647,10 +647,10 @@ static void sdap_id_op_connect_done(struct tevent_req *subreq)
                     is_offline = true;
                 } else {
                     if (ret == EOK) {
-                        DEBUG(9, ("attempting automatic retry on op #%d\n", notify_count));
+                        DEBUG(9, "attempting automatic retry on op #%d\n", notify_count);
                         retry = true;
                     } else if (sdap_id_op_can_reconnect(op)) {
-                        DEBUG(9, ("attempting failover retry on op #%d\n", notify_count));
+                        DEBUG(9, "attempting failover retry on op #%d\n", notify_count);
                         op->reconnect_retry_count++;
                         retry = true;
                     }
@@ -669,13 +669,13 @@ static void sdap_id_op_connect_done(struct tevent_req *subreq)
         }
 
         if (ret == EOK) {
-            DEBUG(9, ("notify connected to op #%d\n", notify_count));
+            DEBUG(9, "notify connected to op #%d\n", notify_count);
             sdap_id_op_connect_req_complete(op, DP_ERR_OK, ret);
         } else if (is_offline) {
-            DEBUG(9, ("notify offline to op #%d\n", notify_count));
+            DEBUG(9, "notify offline to op #%d\n", notify_count);
             sdap_id_op_connect_req_complete(op, DP_ERR_OFFLINE, EAGAIN);
         } else {
-            DEBUG(9, ("notify error to op #%d: %d [%s]\n", notify_count, ret, strerror(ret)));
+            DEBUG(9, "notify error to op #%d: %d [%s]\n", notify_count, ret, strerror(ret));
             sdap_id_op_connect_req_complete(op, DP_ERR_FATAL, ret);
         }
     }
@@ -688,7 +688,7 @@ static void sdap_id_op_connect_done(struct tevent_req *subreq)
     if ((ret == EOK) &&
         conn_data->sh->connected &&
         !be_is_offline(conn_cache->id_conn->id_ctx->be)) {
-        DEBUG(9, ("caching successful connection after %d notifies\n", notify_count));
+        DEBUG(9, "caching successful connection after %d notifies\n", notify_count);
         conn_cache->cached_connection = conn_data;
 
         /* Run any post-connection routines */
@@ -703,14 +703,14 @@ static void sdap_id_op_connect_done(struct tevent_req *subreq)
     }
 
     if (reinit) {
-        DEBUG(SSSDBG_TRACE_FUNC, ("Server reinitialization detected. "
-                                  "Cleaning cache.\n"));
+        DEBUG(SSSDBG_TRACE_FUNC, "Server reinitialization detected. "
+                                  "Cleaning cache.\n");
         reinit_req = sdap_reinit_cleanup_send(conn_cache->id_conn->id_ctx->be,
                                               conn_cache->id_conn->id_ctx->be,
                                               conn_cache->id_conn->id_ctx);
         if (reinit_req == NULL) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("Unable to perform reinitialization "
-                                        "clean up.\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "Unable to perform reinitialization "
+                                        "clean up.\n");
             return;
         }
 
@@ -726,13 +726,13 @@ static void sdap_id_op_connect_reinit_done(struct tevent_req *req)
     ret = sdap_reinit_cleanup_recv(req);
     talloc_zfree(req);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Unable to perform reinitialization "
-              "clean up [%d]: %s\n", ret, strerror(ret)));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Unable to perform reinitialization "
+              "clean up [%d]: %s\n", ret, strerror(ret));
         /* not fatal */
         return;
     }
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("Reinitialization clean up completed\n"));
+    DEBUG(SSSDBG_TRACE_FUNC, "Reinitialization clean up completed\n");
 }
 
 /* Mark operation connection request as complete */
@@ -804,7 +804,7 @@ int sdap_id_op_done(struct sdap_id_op *op, int retval, int *dp_err_out)
         /* do not reuse failed connection */
         op->conn_cache->cached_connection = NULL;
 
-        DEBUG(5, ("communication error on cached connection, moving to next server\n"));
+        DEBUG(5, "communication error on cached connection, moving to next server\n");
         be_fo_try_next_server(op->conn_cache->id_conn->id_ctx->be,
                               op->conn_cache->id_conn->service->name);
     }
@@ -816,13 +816,13 @@ int sdap_id_op_done(struct sdap_id_op *op, int retval, int *dp_err_out)
         /* if backend is already offline, just report offline, do not duplicate errors */
         dp_err = DP_ERR_OFFLINE;
         retval = EAGAIN;
-        DEBUG(9, ("falling back to offline data...\n"));
+        DEBUG(9, "falling back to offline data...\n");
     } else if (communication_error) {
         /* communication error, can try to reconnect */
 
         if (!sdap_id_op_can_reconnect(op)) {
             dp_err = DP_ERR_FATAL;
-            DEBUG(9, ("too many communication failures, giving up...\n"));
+            DEBUG(9, "too many communication failures, giving up...\n");
         } else {
             dp_err = DP_ERR_OK;
             retval = EAGAIN;
@@ -834,14 +834,14 @@ int sdap_id_op_done(struct sdap_id_op *op, int retval, int *dp_err_out)
     if (dp_err == DP_ERR_OK && retval != EOK) {
         /* reconnect retry */
         op->reconnect_retry_count++;
-        DEBUG(9, ("advising for connection retry #%i\n", op->reconnect_retry_count));
+        DEBUG(9, "advising for connection retry #%i\n", op->reconnect_retry_count);
     } else {
         /* end of request */
         op->reconnect_retry_count = 0;
     }
 
     if (current_conn) {
-        DEBUG(9, ("releasing operation connection\n"));
+        DEBUG(9, "releasing operation connection\n");
         sdap_id_op_hook_conn_data(op, NULL);
     }
 
diff --git a/src/providers/ldap/sdap_idmap.c b/src/providers/ldap/sdap_idmap.c
index 667e377..d54f48f 100644
--- a/src/providers/ldap/sdap_idmap.c
+++ b/src/providers/ldap/sdap_idmap.c
@@ -42,23 +42,23 @@ sdap_idmap_add_configured_external_range(struct sdap_idmap_ctx *idmap_ctx)
 
     int_id = dp_opt_get_int(id_ctx->opts->basic, SDAP_MIN_ID);
     if (int_id < 0) {
-        DEBUG(SSSDBG_CONF_SETTINGS, ("ldap_min_id must be greater than 0.\n"));
+        DEBUG(SSSDBG_CONF_SETTINGS, "ldap_min_id must be greater than 0.\n");
         return EINVAL;
     }
     range.min = int_id;
 
     int_id = dp_opt_get_int(id_ctx->opts->basic, SDAP_MAX_ID);
     if (int_id < 0) {
-        DEBUG(SSSDBG_CONF_SETTINGS, ("ldap_min_id must be greater than 0.\n"));
+        DEBUG(SSSDBG_CONF_SETTINGS, "ldap_min_id must be greater than 0.\n");
         return EINVAL;
     }
     range.max = int_id;
 
     if ((range.min == 0 && range.max != 0)
             || (range.min != 0 && range.max == 0)) {
-        DEBUG(SSSDBG_CONF_SETTINGS, ("Both ldap_min_id and ldap_max_id " \
+        DEBUG(SSSDBG_CONF_SETTINGS, "Both ldap_min_id and ldap_max_id " \
                                      "either must be 0 (not set) " \
-                                     "or positive integers.\n"));
+                                     "or positive integers.\n");
         return EINVAL;
     }
 
@@ -76,8 +76,8 @@ sdap_idmap_add_configured_external_range(struct sdap_idmap_ctx *idmap_ctx)
                                   NULL, 0, true);
     if (err != IDMAP_SUCCESS) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Could not add domain [%s] to the map: [%d]\n",
-               id_ctx->be->domain->name, err));
+              "Could not add domain [%s] to the map: [%d]\n",
+               id_ctx->be->domain->name, err);
         return EIO;
     }
 
@@ -95,7 +95,7 @@ errno_t sdap_idmap_find_new_domain(struct sdap_idmap_ctx *idmap_ctx,
                                 -1);
     if (ret != EOK) {
         DEBUG(SSSDBG_MINOR_FAILURE,
-              ("Could not add new domain [%s]\n", dom_name));
+              "Could not add new domain [%s]\n", dom_name);
         return ret;
     }
 
@@ -148,17 +148,17 @@ sdap_idmap_init(TALLOC_CTX *mem_ctx,
             || (idmap_upper-idmap_lower) < rangesize)
     {
         DEBUG(SSSDBG_FATAL_FAILURE,
-              ("Invalid settings for range selection: "
+              "Invalid settings for range selection: "
                "[%"SPRIid"][%"SPRIid"][%"SPRIid"]\n",
-               idmap_lower, idmap_upper, rangesize));
+               idmap_lower, idmap_upper, rangesize);
         ret = EINVAL;
         goto done;
     }
 
     if (((idmap_upper - idmap_lower) % rangesize) != 0) {
         DEBUG(SSSDBG_CONF_SETTINGS,
-              ("Range size does not divide evenly. Uppermost range will "
-               "not be used\n"));
+              "Range size does not divide evenly. Uppermost range will "
+               "not be used\n");
     }
 
     /* Initialize the map */
@@ -167,8 +167,8 @@ sdap_idmap_init(TALLOC_CTX *mem_ctx,
                          &idmap_ctx->map);
     if (err != IDMAP_SUCCESS) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Could not initialize the ID map: [%s]\n",
-               idmap_error_string(err)));
+              "Could not initialize the ID map: [%s]\n",
+               idmap_error_string(err));
         if (err == IDMAP_OUT_OF_MEMORY) {
             ret = ENOMEM;
         } else {
@@ -183,7 +183,7 @@ sdap_idmap_init(TALLOC_CTX *mem_ctx,
     err |= sss_idmap_ctx_set_rangesize(idmap_ctx->map, rangesize);
     if (err != IDMAP_SUCCESS) {
         /* This should never happen */
-        DEBUG(SSSDBG_CRIT_FAILURE, ("sss_idmap_ctx corrupted\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "sss_idmap_ctx corrupted\n");
         return EIO;
     }
 
@@ -194,7 +194,7 @@ sdap_idmap_init(TALLOC_CTX *mem_ctx,
         ret = sdap_idmap_add_configured_external_range(idmap_ctx);
         if (ret != EOK) {
             DEBUG(SSSDBG_OP_FAILURE,
-                  ("sdap_idmap_add_configured_external_range failed.\n"));
+                  "sdap_idmap_add_configured_external_range failed.\n");
             goto done;
         }
     }
@@ -203,14 +203,14 @@ sdap_idmap_init(TALLOC_CTX *mem_ctx,
     ret = sysdb_idmap_get_mappings(tmp_ctx, sysdb, id_ctx->be->domain, &res);
     if (ret != EOK && ret != ENOENT) {
         DEBUG(SSSDBG_FATAL_FAILURE,
-              ("Could not read ID mappings from the cache: [%s]\n",
-               strerror(ret)));
+              "Could not read ID mappings from the cache: [%s]\n",
+               strerror(ret));
         goto done;
     }
 
     if (ret == EOK && res->count > 0) {
         DEBUG(SSSDBG_CONF_SETTINGS,
-              ("Initializing [%d] domains for ID-mapping\n", res->count));
+              "Initializing [%d] domains for ID-mapping\n", res->count);
 
         for (i = 0; i < res->count; i++) {
             dom_name = ldb_msg_find_attr_as_string(res->msgs[i],
@@ -244,9 +244,9 @@ sdap_idmap_init(TALLOC_CTX *mem_ctx,
                                         sid_str, slice_num);
             if (ret != EOK) {
                 DEBUG(SSSDBG_CRIT_FAILURE,
-                      ("Could not add domain [%s][%s][%"SPRIid"] "
+                      "Could not add domain [%s][%s][%"SPRIid"] "
                        "to ID map: [%s]\n",
-                       dom_name, sid_str, slice_num, strerror(ret)));
+                       dom_name, sid_str, slice_num, strerror(ret));
                 goto done;
             }
         }
@@ -271,18 +271,18 @@ sdap_idmap_init(TALLOC_CTX *mem_ctx,
                                         sid_str, 0);
             if (ret != EOK) {
                 DEBUG(SSSDBG_CRIT_FAILURE,
-                      ("Could not add domain [%s][%s][%u] to ID map: [%s]\n",
-                       dom_name, sid_str, 0, strerror(ret)));
+                      "Could not add domain [%s][%s][%u] to ID map: [%s]\n",
+                       dom_name, sid_str, 0, strerror(ret));
                 goto done;
             }
         } else {
             if (dp_opt_get_bool(idmap_ctx->id_ctx->opts->basic, SDAP_IDMAP_AUTORID_COMPAT)) {
                 /* In autorid compatibility mode, we MUST have a slice 0 */
                 DEBUG(SSSDBG_CRIT_FAILURE,
-                      ("WARNING: Autorid compatibility mode selected, "
+                      "WARNING: Autorid compatibility mode selected, "
                        "but %s is not set. UID/GID values may differ "
                        "between clients.\n",
-                       idmap_ctx->id_ctx->opts->basic[SDAP_IDMAP_DEFAULT_DOMAIN_SID].opt_name));
+                       idmap_ctx->id_ctx->opts->basic[SDAP_IDMAP_DEFAULT_DOMAIN_SID].opt_name);
             }
             /* Otherwise, we'll just fall back to hash values as they are seen */
         }
@@ -310,7 +310,7 @@ sdap_idmap_add_domain(struct sdap_idmap_ctx *idmap_ctx,
     ret = sss_idmap_ctx_get_upper(idmap_ctx->map, &idmap_upper);
     if (ret != IDMAP_SUCCESS) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Failed to get upper bound of available ID range.\n"));
+              "Failed to get upper bound of available ID range.\n");
         ret = EIO;
         goto done;
     }
@@ -318,19 +318,19 @@ sdap_idmap_add_domain(struct sdap_idmap_ctx *idmap_ctx,
     ret = sss_idmap_calculate_range(idmap_ctx->map, dom_sid, &slice, &range);
     if (ret != IDMAP_SUCCESS) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Failed to calculate range for domain [%s]: [%d]\n", dom_name,
-               ret));
+              "Failed to calculate range for domain [%s]: [%d]\n", dom_name,
+               ret);
         ret = EIO;
         goto done;
     }
     DEBUG(SSSDBG_TRACE_LIBS,
-          ("Adding domain [%s] as slice [%"SPRIid"]\n", dom_sid, slice));
+          "Adding domain [%s] as slice [%"SPRIid"]\n", dom_sid, slice);
 
     if (range.max > idmap_upper) {
         /* This should never happen */
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("BUG: Range maximum exceeds the global maximum: "
-               "%d > %"SPRIid"\n", range.max, idmap_upper));
+              "BUG: Range maximum exceeds the global maximum: "
+               "%d > %"SPRIid"\n", range.max, idmap_upper);
         ret = EINVAL;
         goto done;
     }
@@ -339,8 +339,8 @@ sdap_idmap_add_domain(struct sdap_idmap_ctx *idmap_ctx,
     err = sss_idmap_add_domain(idmap_ctx->map, dom_name, dom_sid, &range);
     if (err != IDMAP_SUCCESS) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Could not add domain [%s] to the map: [%d]\n",
-               dom_name, err));
+              "Could not add domain [%s] to the map: [%d]\n",
+               dom_name, err);
         ret = EIO;
         goto done;
     }
@@ -424,14 +424,14 @@ sdap_idmap_sid_to_unix(struct sdap_idmap_ctx *idmap_ctx,
                                                  &dom_sid_str);
         if (ret != EOK) {
             DEBUG(SSSDBG_MINOR_FAILURE,
-                  ("Could not parse domain SID from [%s]\n", sid_str));
+                  "Could not parse domain SID from [%s]\n", sid_str);
             goto done;
         }
 
         ret = idmap_ctx->find_new_domain(idmap_ctx, dom_sid_str, dom_sid_str);
         if (ret != EOK) {
             DEBUG(SSSDBG_MINOR_FAILURE,
-                  ("Could not add new domain for sid [%s]\n", sid_str));
+                  "Could not add new domain for sid [%s]\n", sid_str);
             goto done;
         }
 
@@ -441,23 +441,23 @@ sdap_idmap_sid_to_unix(struct sdap_idmap_ctx *idmap_ctx,
                                     (uint32_t *)id);
         if (err != IDMAP_SUCCESS) {
             DEBUG(SSSDBG_MINOR_FAILURE,
-                  ("Could not convert objectSID [%s] to a UNIX ID\n",
-                   sid_str));
+                  "Could not convert objectSID [%s] to a UNIX ID\n",
+                   sid_str);
             ret = EIO;
             goto done;
         }
         break;
     case IDMAP_BUILTIN_SID:
         DEBUG(SSSDBG_TRACE_FUNC,
-              ("Object SID [%s] is a built-in one.\n", sid_str));
+              "Object SID [%s] is a built-in one.\n", sid_str);
         /* ENOTSUP indicates built-in SID */
         ret = ENOTSUP;
         goto done;
         break;
     default:
         DEBUG(SSSDBG_MINOR_FAILURE,
-              ("Could not convert objectSID [%s] to a UNIX ID\n",
-               sid_str));
+              "Could not convert objectSID [%s] to a UNIX ID\n",
+               sid_str);
         ret = EIO;
         goto done;
     }
@@ -497,7 +497,7 @@ bool sdap_idmap_domain_has_algorithmic_mapping(struct sdap_idmap_ctx *ctx,
     } else {
         tmp_ctx = talloc_new(NULL);
         if (tmp_ctx == NULL) {
-            DEBUG(SSSDBG_OP_FAILURE, ("talloc_new failed.\n"));
+            DEBUG(SSSDBG_OP_FAILURE, "talloc_new failed.\n");
             return false;
         }
 
@@ -505,7 +505,7 @@ bool sdap_idmap_domain_has_algorithmic_mapping(struct sdap_idmap_ctx *ctx,
                                                  &new_dom_sid);
         if (ret != EOK) {
             DEBUG(SSSDBG_MINOR_FAILURE,
-                  ("Could not parse domain SID from [%s]\n", dom_sid));
+                  "Could not parse domain SID from [%s]\n", dom_sid);
             talloc_free(tmp_ctx);
             return false;
         }
@@ -515,7 +515,7 @@ bool sdap_idmap_domain_has_algorithmic_mapping(struct sdap_idmap_ctx *ctx,
     talloc_free(tmp_ctx);
     if (ret != EOK) {
         DEBUG(SSSDBG_MINOR_FAILURE,
-              ("Could not add new domain for sid [%s]\n", dom_sid));
+              "Could not add new domain for sid [%s]\n", dom_sid);
         return false;
     }
 
diff --git a/src/providers/ldap/sdap_range.c b/src/providers/ldap/sdap_range.c
index c4bf435..d88def6 100644
--- a/src/providers/ldap/sdap_range.c
+++ b/src/providers/ldap/sdap_range.c
@@ -55,7 +55,7 @@ errno_t sdap_parse_range(TALLOC_CTX *mem_ctx,
             ret = EOK;
         }
         DEBUG(SSSDBG_TRACE_INTERNAL,
-              ("No sub-attributes for [%s]\n", attr_desc));
+              "No sub-attributes for [%s]\n", attr_desc);
         goto done;
     }
 
@@ -67,8 +67,8 @@ errno_t sdap_parse_range(TALLOC_CTX *mem_ctx,
         goto done;
     }
     DEBUG(SSSDBG_TRACE_LIBS,
-          ("Base attribute of [%s] is [%s]\n",
-           attr_desc, base));
+          "Base attribute of [%s] is [%s]\n",
+           attr_desc, base);
 
     /* Next, determine if this is a ranged attribute */
     if (strncmp(endptr+1, SDAP_RANGE_STRING, rangestringlen) != 0) {
@@ -82,8 +82,8 @@ errno_t sdap_parse_range(TALLOC_CTX *mem_ctx,
             ret = EOK;
         }
         DEBUG(SSSDBG_TRACE_LIBS,
-              ("[%s] contains sub-attribute other than a range, returning whole\n",
-               attr_desc));
+              "[%s] contains sub-attribute other than a range, returning whole\n",
+               attr_desc);
         goto done;
     } else if (disable_range_retrieval) {
         /* This is range sub-attribute, but we want to ignore it.
@@ -102,8 +102,8 @@ errno_t sdap_parse_range(TALLOC_CTX *mem_ctx,
     if (!end_range) {
         ret = EINVAL;
         DEBUG(SSSDBG_MINOR_FAILURE,
-              ("Cannot find hyphen in [%s]\n",
-               endptr + rangestringlen +1));
+              "Cannot find hyphen in [%s]\n",
+               endptr + rangestringlen +1);
         goto done;
     }
     end_range++; /* advance past the hyphen */
@@ -113,8 +113,8 @@ errno_t sdap_parse_range(TALLOC_CTX *mem_ctx,
         *base_attr = talloc_steal(mem_ctx, base);
         *range_offset = 0;
         DEBUG(SSSDBG_TRACE_LIBS,
-              ("[%s] contained the last set of values for this attribute\n",
-               attr_desc));
+              "[%s] contained the last set of values for this attribute\n",
+               attr_desc);
         ret = EOK;
         goto done;
     }
@@ -124,16 +124,16 @@ errno_t sdap_parse_range(TALLOC_CTX *mem_ctx,
         *range_offset = 0;
         ret = errno;
         DEBUG(SSSDBG_MINOR_FAILURE,
-              ("[%s] did not parse as an unsigned integer: [%s]\n",
-               end_range, strerror(ret)));
+              "[%s] did not parse as an unsigned integer: [%s]\n",
+               end_range, strerror(ret));
         goto done;
     }
     (*range_offset)++;
 
     *base_attr = talloc_steal(mem_ctx, base);
     DEBUG(SSSDBG_TRACE_LIBS,
-          ("Parsed range values: [%s][%d]\n",
-           base, *range_offset));
+          "Parsed range values: [%s][%d]\n",
+           base, *range_offset);
 
     ret = EAGAIN;
 done:
diff --git a/src/providers/ldap/sdap_refresh.c b/src/providers/ldap/sdap_refresh.c
index 819ee4f..fb2dbc7 100644
--- a/src/providers/ldap/sdap_refresh.c
+++ b/src/providers/ldap/sdap_refresh.c
@@ -47,7 +47,7 @@ struct tevent_req *sdap_refresh_netgroups_send(TALLOC_CTX *mem_ctx,
     req = tevent_req_create(mem_ctx, &state,
                             struct sdap_refresh_netgroups_state);
     if (req == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("tevent_req_create() failed\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "tevent_req_create() failed\n");
         return NULL;
     }
 
@@ -63,11 +63,11 @@ struct tevent_req *sdap_refresh_netgroups_send(TALLOC_CTX *mem_ctx,
 
     ret = sdap_refresh_netgroups_step(req);
     if (ret == EOK) {
-        DEBUG(SSSDBG_TRACE_FUNC, ("Nothing to refresh\n"));
+        DEBUG(SSSDBG_TRACE_FUNC, "Nothing to refresh\n");
         goto immediately;
     } else if (ret != EAGAIN) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("sdap_refresh_netgroups_step() failed "
-                                    "[%d]: %s\n", ret, sss_strerror(ret)));
+        DEBUG(SSSDBG_CRIT_FAILURE, "sdap_refresh_netgroups_step() failed "
+                                    "[%d]: %s\n", ret, sss_strerror(ret));
         goto immediately;
     }
 
@@ -104,7 +104,7 @@ static errno_t sdap_refresh_netgroups_step(struct tevent_req *req)
         goto done;
     }
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("Issuing refresh of netgroup %s\n", name));
+    DEBUG(SSSDBG_TRACE_FUNC, "Issuing refresh of netgroup %s\n", name);
 
     subreq = ldap_netgroup_get_send(state, state->ev, state->id_ctx,
                                     state->id_ctx->opts->sdom,
@@ -136,9 +136,9 @@ static void sdap_refresh_netgroups_done(struct tevent_req *subreq)
     ret = ldap_netgroup_get_recv(subreq, &dp_error, &sdap_ret);
     talloc_zfree(subreq);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Unable to refresh netgroup [dp_error: %d, "
+        DEBUG(SSSDBG_CRIT_FAILURE, "Unable to refresh netgroup [dp_error: %d, "
               "sdap_ret: %d, errno: %d]: %s\n",
-              dp_error, sdap_ret, ret, sss_strerror(ret)));
+              dp_error, sdap_ret, ret, sss_strerror(ret));
         goto done;
     }
 
